/*
 * Copyright 2015 LBK
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package git.lbk.sms;

public interface SmsFilter {

    /**
     * 初始化该过滤器
     */
    void init() throws Exception;

    /**
     * 判断短信是否可以发送.
     * @param smsEntity 将要发送的短信内容
     * @return 可以发送则返回true, 否则返回false
     */
    boolean filter(SmsEntity smsEntity);

    /**
     * 销毁该过滤器
     */
    void destroy();

}
